package com.nhn.example.gateway;

import com.nhn.gameanvil.gateway.GameAnvilGatewayConnection;
import com.nhn.gameanvil.node.gateway.IConnection;
import com.nhn.gameanvil.node.gateway.context.IConnectionContext;
import com.nhn.gameanvil.packet.IPayload;

@GameAnvilGatewayConnection
public class Connection implements IConnection {
    private IConnectionContext connectionContext;

    @Override
    public void onCreate(IConnectionContext connectionContext) {
        this.connectionContext = connectionContext;
    }

    @Override
    public boolean onAuthenticate(String accountId, String password, String deviceId, IPayload payload, IPayload outPayload) {
        boolean isSuccess = true;
        return isSuccess;
    }

    @Override
    public void onPause() {

    }

    @Override
    public void onResume() {

    }

    @Override
    public void onDisconnect() {

    }
}
